Search Results for

    Show / Hide Table of Contents

    Class Sketch

    Inheritance
    object
    MarshalByRefObject
    NXRemotableObject
    TaggedObject
    NXObject
    DisplayableObject
    Sketch
    Implements
    IMessageSink
    IFitTo
    IProfile
    INXObject
    Inherited Members
    DisplayableObject.Blank()
    DisplayableObject.Unblank()
    DisplayableObject.Highlight()
    DisplayableObject.Unhighlight()
    DisplayableObject.SetNameLocation(Point3d)
    DisplayableObject.RedisplayObject()
    DisplayableObject.RemoveViewDependency()
    DisplayableObject.Color
    DisplayableObject.IsBlanked
    DisplayableObject.Layer
    DisplayableObject.LineFont
    DisplayableObject.LineWidth
    DisplayableObject.NameLocation
    NXObject.SetUserAttribute(NXObject.AttributeInformation, Update.Option)
    NXObject.SetUserAttribute(string, int, int, Update.Option)
    NXObject.SetUserAttribute(string, int, double, Update.Option)
    NXObject.SetUserAttribute(string, int, string, Update.Option)
    NXObject.SetUserAttribute(string, int, Update.Option)
    NXObject.SetTimeUserAttribute(string, int, string, Update.Option)
    NXObject.SetTimeUserAttribute(string, int, NXObject.ComputationalTime, Update.Option)
    NXObject.SetBooleanUserAttribute(string, int, bool, Update.Option)
    NXObject.CreateAttributeIterator()
    NXObject.HasUserAttribute(AttributeIterator)
    NXObject.HasUserAttribute(string, NXObject.AttributeType, int)
    NXObject.GetUserAttributeCount(AttributeIterator)
    NXObject.GetUserAttributeCount(AttributeIterator, bool)
    NXObject.GetUserAttributeCount(NXObject.AttributeType)
    NXObject.GetUserAttributeCount(NXObject.AttributeType, bool, bool)
    NXObject.GetUserAttributeSize(string, NXObject.AttributeType)
    NXObject.GetNextUserAttribute(AttributeIterator, out NXObject.AttributeInformation)
    NXObject.GetUserAttribute(string, NXObject.AttributeType, int)
    NXObject.GetBooleanUserAttribute(string, int)
    NXObject.GetIntegerUserAttribute(string, int)
    NXObject.GetRealUserAttribute(string, int)
    NXObject.GetStringUserAttribute(string, int)
    NXObject.GetTimeUserAttribute(string, int)
    NXObject.GetComputationalTimeUserAttribute(string, int)
    NXObject.GetUserAttributes(AttributeIterator)
    NXObject.GetUserAttributes()
    NXObject.GetUserAttributes(bool)
    NXObject.GetUserAttributeAsString(string, NXObject.AttributeType, int)
    NXObject.DeleteUserAttributes(AttributeIterator, Update.Option)
    NXObject.DeleteUserAttribute(NXObject.AttributeType, string, bool, Update.Option)
    NXObject.DeleteUserAttributes(NXObject.AttributeType, Update.Option)
    NXObject.SetUserAttributeLock(string, NXObject.AttributeType, bool)
    NXObject.GetUserAttributeLock(string, NXObject.AttributeType)
    NXObject.GetUserAttributeSourceObjects()
    NXObject.SetPdmReferenceAttribute(string, string)
    NXObject.GetPdmReferenceAttributeValue(string)
    NXObject.GetUserAttribute(string, bool, bool, NXObject.AttributeType)
    NXObject.GetUserAttributes(bool, bool)
    NXObject.DeleteAllAttributesByType(NXObject.AttributeType)
    NXObject.DeleteAllAttributesByType(NXObject.AttributeType, Update.Option)
    NXObject.SetAttribute(string, int)
    NXObject.SetAttribute(string, int, Update.Option)
    NXObject.SetAttribute(string, double)
    NXObject.SetAttribute(string, double, Update.Option)
    NXObject.SetAttribute(string, string)
    NXObject.SetAttribute(string, string, Update.Option)
    NXObject.SetAttribute(string)
    NXObject.SetAttribute(string, Update.Option)
    NXObject.SetTimeAttribute(string, string)
    NXObject.SetTimeAttribute(string, string, Update.Option)
    NXObject.GetIntegerAttribute(string)
    NXObject.GetRealAttribute(string)
    NXObject.GetStringAttribute(string)
    NXObject.GetTimeAttribute(NXObject.DateAndTimeFormat, string)
    NXObject.GetReferenceAttribute(string)
    NXObject.DeleteAttributeByTypeAndTitle(NXObject.AttributeType, string)
    NXObject.DeleteAttributeByTypeAndTitle(NXObject.AttributeType, string, Update.Option)
    NXObject.SetReferenceAttribute(string, string)
    NXObject.SetReferenceAttribute(string, string, Update.Option)
    NXObject.GetAttributeTitlesByType(NXObject.AttributeType)
    NXObject.GetUserAttributesAsStrings()
    NXObject.FindObject(string)
    NXObject.Print()
    NXObject.SetName(string)
    NXObject.IsOccurrence
    NXObject.JournalIdentifier
    NXObject.Name
    NXObject.OwningComponent
    NXObject.OwningPart
    NXObject.Prototype
    TaggedObject.initialize()
    TaggedObject.ToString()
    TaggedObject.PrintTestData(string)
    TaggedObject.PrintTestData(string, int)
    TaggedObject.Tag
    NXRemotableObject.SyncProcessMessage(IMessage)
    NXRemotableObject.AsyncProcessMessage(IMessage, IMessageSink)
    NXRemotableObject.NextSink
    MarshalByRefObject.GetLifetimeService()
    MarshalByRefObject.InitializeLifetimeService()
    MarshalByRefObject.MemberwiseClone(bool)
    object.GetType()
    object.MemberwiseClone()
    object.Equals(object)
    object.Equals(object, object)
    object.ReferenceEquals(object, object)
    object.GetHashCode()
    Namespace: NXOpen
    Assembly: NXOpen.dll
    Syntax
    public class Sketch : DisplayableObject, IMessageSink, IFitTo, IProfile, INXObject

    Constructors

    Sketch()

    Declaration
    protected Sketch()

    Properties

    AttachPlane

    Declaration
    public ISurface AttachPlane { get; }
    Property Value
    Type Description
    ISurface

    CreateInferConstraintsSetting

    Declaration
    public Sketch.CreateInferConstraintSetting CreateInferConstraintsSetting { get; set; }
    Property Value
    Type Description
    Sketch.CreateInferConstraintSetting

    DOFDisplay

    Declaration
    public bool DOFDisplay { get; set; }
    Property Value
    Type Description
    bool

    Feature

    Declaration
    public Feature Feature { get; }
    Property Value
    Type Description
    Feature

    IsActive

    Declaration
    public bool IsActive { get; }
    Property Value
    Type Description
    bool

    IsDraftingSketch

    Declaration
    public bool IsDraftingSketch { get; }
    Property Value
    Type Description
    bool

    IsInternal

    Declaration
    public bool IsInternal { get; }
    Property Value
    Type Description
    bool

    MechanismMode

    Declaration
    public bool MechanismMode { get; set; }
    Property Value
    Type Description
    bool

    Orientation

    Declaration
    public NXMatrix Orientation { get; }
    Property Value
    Type Description
    NXMatrix

    Origin

    Declaration
    public Point3d Origin { get; }
    Property Value
    Type Description
    Point3d

    Preferences

    Declaration
    public SketchPreferences Preferences { get; }
    Property Value
    Type Description
    SketchPreferences

    RotateDragMode

    Declaration
    public bool RotateDragMode { get; set; }
    Property Value
    Type Description
    bool

    UpdateScope

    Declaration
    public Sketch.UpdateLevel UpdateScope { get; set; }
    Property Value
    Type Description
    Sketch.UpdateLevel

    UpgradeUponActivation

    Declaration
    public bool UpgradeUponActivation { get; set; }
    Property Value
    Type Description
    bool

    UsesLegacySolver

    Declaration
    public bool UsesLegacySolver { get; }
    Property Value
    Type Description
    bool

    View

    Declaration
    public View View { get; }
    Property Value
    Type Description
    View

    Methods

    Activate(ViewReorient)

    Declaration
    public void Activate(Sketch.ViewReorient orientView)
    Parameters
    Type Name Description
    Sketch.ViewReorient orientView

    AddGeometry(Curve, InferConstraintsOption, AddEllipseOption)

    Declaration
    public void AddGeometry(Curve crv, Sketch.InferConstraintsOption inferCoincidentConstraints, Sketch.AddEllipseOption ellipseOption)
    Parameters
    Type Name Description
    Curve crv
    Sketch.InferConstraintsOption inferCoincidentConstraints
    Sketch.AddEllipseOption ellipseOption

    AddGeometry(DisplayableObject)

    Declaration
    public void AddGeometry(DisplayableObject crv)
    Parameters
    Type Name Description
    DisplayableObject crv

    AddGeometry(DisplayableObject, InferConstraintsOption)

    Declaration
    public void AddGeometry(DisplayableObject crv, Sketch.InferConstraintsOption inferCoincidentConstraints)
    Parameters
    Type Name Description
    DisplayableObject crv
    Sketch.InferConstraintsOption inferCoincidentConstraints

    AddGeometry(InferConstraintsOption, AddEllipseOption, SmartObject[])

    Declaration
    public void AddGeometry(Sketch.InferConstraintsOption inferCoincidentConstraints, Sketch.AddEllipseOption ellipseOption, SmartObject[] curvesOrPoints)
    Parameters
    Type Name Description
    Sketch.InferConstraintsOption inferCoincidentConstraints
    Sketch.AddEllipseOption ellipseOption
    SmartObject[] curvesOrPoints

    AutoConstrain(double, double, bool, SmartObject[], ConstraintType[])

    Declaration
    public SketchConstraint[] AutoConstrain(double linearTolerance, double angularTolerance, bool allowRemoteConstraints, SmartObject[] geometries, Sketch.ConstraintType[] autoconstraintTypes)
    Parameters
    Type Name Description
    double linearTolerance
    double angularTolerance
    bool allowRemoteConstraints
    SmartObject[] geometries
    ConstraintType[] autoconstraintTypes
    Returns
    Type Description
    SketchConstraint[]

    BreakAssociativity(NXObject[])

    Declaration
    public void BreakAssociativity(NXObject[] sketchGeoms)
    Parameters
    Type Name Description
    NXObject[] sketchGeoms

    CalculateStatus()

    Declaration
    public void CalculateStatus()

    ConvertRadialDimension(DisplayableObject[])

    Declaration
    public void ConvertRadialDimension(DisplayableObject[] dimensions)
    Parameters
    Type Name Description
    DisplayableObject[] dimensions

    ConvertToNx10Spline(Spline)

    Declaration
    public void ConvertToNx10Spline(Spline spline)
    Parameters
    Type Name Description
    Spline spline

    CopyObjects(NXObject[])

    Declaration
    public NXObject[] CopyObjects(NXObject[] inputObjects)
    Parameters
    Type Name Description
    NXObject[] inputObjects
    Returns
    Type Description
    NXObject[]

    CopyObjectsWithDimensionOutput(NXObject[], out NXObject[], out NXObject[])

    Declaration
    public void CopyObjectsWithDimensionOutput(NXObject[] inputObjects, out NXObject[] outputObjects, out NXObject[] outputDims)
    Parameters
    Type Name Description
    NXObject[] inputObjects
    NXObject[] outputObjects
    NXObject[] outputDims

    CopyObjectsWithTracking(DisplayableObject[])

    Declaration
    public Sketch.CopyObjectData[] CopyObjectsWithTracking(DisplayableObject[] inputObjects)
    Parameters
    Type Name Description
    DisplayableObject[] inputObjects
    Returns
    Type Description
    CopyObjectData[]

    CreateCoincidentConstraint(ConstraintGeometry, ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateCoincidentConstraint(Sketch.ConstraintGeometry geom1, Sketch.ConstraintGeometry geom2)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry geom1
    Sketch.ConstraintGeometry geom2
    Returns
    Type Description
    SketchGeometricConstraint

    CreateCollinearConstraint(ConstraintGeometry, ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateCollinearConstraint(Sketch.ConstraintGeometry conGeom1, Sketch.ConstraintGeometry conGeom2)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom1
    Sketch.ConstraintGeometry conGeom2
    Returns
    Type Description
    SketchGeometricConstraint

    CreateConcentricConstraint(ConstraintGeometry, ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateConcentricConstraint(Sketch.ConstraintGeometry conGeom1, Sketch.ConstraintGeometry conGeom2)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom1
    Sketch.ConstraintGeometry conGeom2
    Returns
    Type Description
    SketchGeometricConstraint

    CreateConstantAngleConstraint(ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateConstantAngleConstraint(Sketch.ConstraintGeometry conGeom)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom
    Returns
    Type Description
    SketchGeometricConstraint

    CreateConstantLengthConstraint(ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateConstantLengthConstraint(Sketch.ConstraintGeometry conGeom)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom
    Returns
    Type Description
    SketchGeometricConstraint

    CreateDiameterDimension(DimensionGeometry, Point3d, Expression)

    Declaration
    public SketchDimensionalConstraint CreateDiameterDimension(Sketch.DimensionGeometry dimObject1, Point3d dimOrigin, Expression expression)
    Parameters
    Type Name Description
    Sketch.DimensionGeometry dimObject1
    Point3d dimOrigin
    Expression expression
    Returns
    Type Description
    SketchDimensionalConstraint

    CreateDiameterDimension(DimensionGeometry, Point3d, Expression, DimensionOption)

    Declaration
    public SketchDimensionalConstraint CreateDiameterDimension(Sketch.DimensionGeometry dimObject1, Point3d dimOrigin, Expression expression, Sketch.DimensionOption refDim)
    Parameters
    Type Name Description
    Sketch.DimensionGeometry dimObject1
    Point3d dimOrigin
    Expression expression
    Sketch.DimensionOption refDim
    Returns
    Type Description
    SketchDimensionalConstraint

    CreateDimension(ConstraintType, DimensionGeometry, DimensionGeometry, Point3d, Expression)

    Declaration
    public SketchDimensionalConstraint CreateDimension(Sketch.ConstraintType dimType, Sketch.DimensionGeometry dimObject1, Sketch.DimensionGeometry dimObject2, Point3d dimOrigin, Expression expression)
    Parameters
    Type Name Description
    Sketch.ConstraintType dimType
    Sketch.DimensionGeometry dimObject1
    Sketch.DimensionGeometry dimObject2
    Point3d dimOrigin
    Expression expression
    Returns
    Type Description
    SketchDimensionalConstraint

    CreateDimension(ConstraintType, DimensionGeometry, DimensionGeometry, Point3d, Expression, DimensionOption)

    Declaration
    public SketchDimensionalConstraint CreateDimension(Sketch.ConstraintType dimType, Sketch.DimensionGeometry dimObject1, Sketch.DimensionGeometry dimObject2, Point3d dimOrigin, Expression expression, Sketch.DimensionOption refDim)
    Parameters
    Type Name Description
    Sketch.ConstraintType dimType
    Sketch.DimensionGeometry dimObject1
    Sketch.DimensionGeometry dimObject2
    Point3d dimOrigin
    Expression expression
    Sketch.DimensionOption refDim
    Returns
    Type Description
    SketchDimensionalConstraint

    CreateEqualLengthConstraint(ConstraintGeometry, ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateEqualLengthConstraint(Sketch.ConstraintGeometry conGeom1, Sketch.ConstraintGeometry conGeom2)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom1
    Sketch.ConstraintGeometry conGeom2
    Returns
    Type Description
    SketchGeometricConstraint

    CreateEqualRadiusConstraint(ConstraintGeometry, ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateEqualRadiusConstraint(Sketch.ConstraintGeometry conGeom1, Sketch.ConstraintGeometry conGeom2)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom1
    Sketch.ConstraintGeometry conGeom2
    Returns
    Type Description
    SketchGeometricConstraint

    CreateFixedConstraint(ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateFixedConstraint(Sketch.ConstraintGeometry geom)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry geom
    Returns
    Type Description
    SketchGeometricConstraint

    CreateFullyFixedConstraints(ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint[] CreateFullyFixedConstraints(Sketch.ConstraintGeometry geom)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry geom
    Returns
    Type Description
    SketchGeometricConstraint[]

    CreateHorizontalConstraint(ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateHorizontalConstraint(Sketch.ConstraintGeometry geom)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry geom
    Returns
    Type Description
    SketchGeometricConstraint

    CreateMidpointConstraint(ConstraintGeometry, ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateMidpointConstraint(Sketch.ConstraintGeometry conGeom1, Sketch.ConstraintGeometry conGeom2)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom1
    Sketch.ConstraintGeometry conGeom2
    Returns
    Type Description
    SketchGeometricConstraint

    CreateNonUniformScaledConstraint(ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateNonUniformScaledConstraint(Sketch.ConstraintGeometry conGeom)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom
    Returns
    Type Description
    SketchGeometricConstraint

    CreateNormalConstraint(ConstraintGeometry, ConstraintGeometryHelp, ConstraintGeometry, ConstraintGeometryHelp)

    Declaration
    public SketchGeometricConstraint CreateNormalConstraint(Sketch.ConstraintGeometry conGeom1, Sketch.ConstraintGeometryHelp geom1Help, Sketch.ConstraintGeometry conGeom2, Sketch.ConstraintGeometryHelp geom2Help)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom1
    Sketch.ConstraintGeometryHelp geom1Help
    Sketch.ConstraintGeometry conGeom2
    Sketch.ConstraintGeometryHelp geom2Help
    Returns
    Type Description
    SketchGeometricConstraint

    CreateParallelConstraint(ConstraintGeometry, ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateParallelConstraint(Sketch.ConstraintGeometry conGeom1, Sketch.ConstraintGeometry conGeom2)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom1
    Sketch.ConstraintGeometry conGeom2
    Returns
    Type Description
    SketchGeometricConstraint

    CreatePerimeterDimension(Curve[], Point3d, Expression)

    Declaration
    public SketchDimensionalConstraint CreatePerimeterDimension(Curve[] curves, Point3d dimOrigin, Expression expression)
    Parameters
    Type Name Description
    Curve[] curves
    Point3d dimOrigin
    Expression expression
    Returns
    Type Description
    SketchDimensionalConstraint

    CreatePerpendicularConstraint(ConstraintGeometry, ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreatePerpendicularConstraint(Sketch.ConstraintGeometry conGeom1, Sketch.ConstraintGeometry conGeom2)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom1
    Sketch.ConstraintGeometry conGeom2
    Returns
    Type Description
    SketchGeometricConstraint

    CreatePointOnCurveConstraint(ConstraintGeometry, ConstraintGeometry, ConstraintGeometryHelp)

    Declaration
    public SketchHelpedGeometricConstraint CreatePointOnCurveConstraint(Sketch.ConstraintGeometry conGeom1, Sketch.ConstraintGeometry conGeom2, Sketch.ConstraintGeometryHelp help)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom1
    Sketch.ConstraintGeometry conGeom2
    Sketch.ConstraintGeometryHelp help
    Returns
    Type Description
    SketchHelpedGeometricConstraint

    CreatePointOnStringConstraint(ConstraintGeometry, Curve, ConstraintGeometryHelp)

    Declaration
    public SketchHelpedGeometricConstraint CreatePointOnStringConstraint(Sketch.ConstraintGeometry conGeom1, Curve curveInString, Sketch.ConstraintGeometryHelp helpData)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom1
    Curve curveInString
    Sketch.ConstraintGeometryHelp helpData
    Returns
    Type Description
    SketchHelpedGeometricConstraint

    CreatePointOnStringConstraint(ConstraintGeometry, Curve[], ConstraintGeometryHelp, int)

    Declaration
    public SketchHelpedGeometricConstraint CreatePointOnStringConstraint(Sketch.ConstraintGeometry conGeom1, Curve[] curvesInString, Sketch.ConstraintGeometryHelp helpData, int curveWhichHelpParamAppliesTo)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom1
    Curve[] curvesInString
    Sketch.ConstraintGeometryHelp helpData
    int curveWhichHelpParamAppliesTo
    Returns
    Type Description
    SketchHelpedGeometricConstraint

    CreateRadialDimension(DimensionGeometry, Point3d, Expression)

    Declaration
    public SketchDimensionalConstraint CreateRadialDimension(Sketch.DimensionGeometry dimObject1, Point3d dimOrigin, Expression expression)
    Parameters
    Type Name Description
    Sketch.DimensionGeometry dimObject1
    Point3d dimOrigin
    Expression expression
    Returns
    Type Description
    SketchDimensionalConstraint

    CreateRadialDimension(DimensionGeometry, Point3d, Expression, DimensionOption)

    Declaration
    public SketchDimensionalConstraint CreateRadialDimension(Sketch.DimensionGeometry dimObject1, Point3d dimOrigin, Expression expression, Sketch.DimensionOption refDim)
    Parameters
    Type Name Description
    Sketch.DimensionGeometry dimObject1
    Point3d dimOrigin
    Expression expression
    Sketch.DimensionOption refDim
    Returns
    Type Description
    SketchDimensionalConstraint

    CreateSlopeConstraint(ConstraintGeometry, ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateSlopeConstraint(Sketch.ConstraintGeometry conGeom1, Sketch.ConstraintGeometry conGeom2)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom1
    Sketch.ConstraintGeometry conGeom2
    Returns
    Type Description
    SketchGeometricConstraint

    CreateTangentConstraint(ConstraintGeometry, ConstraintGeometryHelp, ConstraintGeometry, ConstraintGeometryHelp)

    Declaration
    public SketchTangentConstraint CreateTangentConstraint(Sketch.ConstraintGeometry geom1, Sketch.ConstraintGeometryHelp geom1Help, Sketch.ConstraintGeometry geom2, Sketch.ConstraintGeometryHelp geom2Help)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry geom1
    Sketch.ConstraintGeometryHelp geom1Help
    Sketch.ConstraintGeometry geom2
    Sketch.ConstraintGeometryHelp geom2Help
    Returns
    Type Description
    SketchTangentConstraint

    CreateUniformScaledConstraint(ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateUniformScaledConstraint(Sketch.ConstraintGeometry conGeom)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry conGeom
    Returns
    Type Description
    SketchGeometricConstraint

    CreateVerticalConstraint(ConstraintGeometry)

    Declaration
    public SketchGeometricConstraint CreateVerticalConstraint(Sketch.ConstraintGeometry geom)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry geom
    Returns
    Type Description
    SketchGeometricConstraint

    Deactivate(ViewReorient, UpdateLevel)

    Declaration
    public void Deactivate(Sketch.ViewReorient orientView, Sketch.UpdateLevel updateLevel)
    Parameters
    Type Name Description
    Sketch.ViewReorient orientView
    Sketch.UpdateLevel updateLevel

    DeleteConstraintsOnGeometries(NXObject[])

    Declaration
    public void DeleteConstraintsOnGeometries(NXObject[] objects)
    Parameters
    Type Name Description
    NXObject[] objects

    DeleteConstraintsOnGeometries(ConstraintClass, ConstraintGeometry[])

    Declaration
    public void DeleteConstraintsOnGeometries(Sketch.ConstraintClass conClass, Sketch.ConstraintGeometry[] objects)
    Parameters
    Type Name Description
    Sketch.ConstraintClass conClass
    ConstraintGeometry[] objects

    DeleteConstraintsOnGeometries(ConstraintGeometry[])

    Declaration
    public void DeleteConstraintsOnGeometries(Sketch.ConstraintGeometry[] objects)
    Parameters
    Type Name Description
    ConstraintGeometry[] objects

    DeleteObjects(NXObject[])

    Declaration
    public ErrorList DeleteObjects(NXObject[] objects)
    Parameters
    Type Name Description
    NXObject[] objects
    Returns
    Type Description
    ErrorList

    EditSplineDefiningPoints(Spline, double[])

    Declaration
    public void EditSplineDefiningPoints(Spline spline, double[] points)
    Parameters
    Type Name Description
    Spline spline
    double[] points

    EditSplinePoles(Spline, double[])

    Declaration
    public void EditSplinePoles(Spline spline, double[] poles)
    Parameters
    Type Name Description
    Spline spline
    double[] poles

    Fillet(Curve, Curve, Curve, Point3d, Point3d, Point3d, Point3d, double, TrimInputOption, DeleteThirdCurveOption, CreateDimensionOption, AlternateSolutionOption, out SketchConstraint[])

    Declaration
    public Arc[] Fillet(Curve curve1, Curve curve2, Curve curve3, Point3d helpPoint1, Point3d helpPoint2, Point3d helpPoint3, Point3d pointOnArc, double radius, Sketch.TrimInputOption doTrim, Sketch.DeleteThirdCurveOption doDelete, Sketch.CreateDimensionOption createRadiusDim, Sketch.AlternateSolutionOption alternateSolution, out SketchConstraint[] constraints)
    Parameters
    Type Name Description
    Curve curve1
    Curve curve2
    Curve curve3
    Point3d helpPoint1
    Point3d helpPoint2
    Point3d helpPoint3
    Point3d pointOnArc
    double radius
    Sketch.TrimInputOption doTrim
    Sketch.DeleteThirdCurveOption doDelete
    Sketch.CreateDimensionOption createRadiusDim
    Sketch.AlternateSolutionOption alternateSolution
    SketchConstraint[] constraints
    Returns
    Type Description
    Arc[]

    Fillet(Curve, Curve, Curve, Point3d, Point3d, Point3d, double, TrimInputOption, DeleteThirdCurveOption, CreateDimensionOption, AlternateSolutionOption, out SketchConstraint[])

    Declaration
    public Arc[] Fillet(Curve curve1, Curve curve2, Curve curve3, Point3d helpPoint1, Point3d helpPoint2, Point3d helpPoint3, double radius, Sketch.TrimInputOption doTrim, Sketch.DeleteThirdCurveOption doDelete, Sketch.CreateDimensionOption createRadiusDim, Sketch.AlternateSolutionOption alternateSolution, out SketchConstraint[] constraints)
    Parameters
    Type Name Description
    Curve curve1
    Curve curve2
    Curve curve3
    Point3d helpPoint1
    Point3d helpPoint2
    Point3d helpPoint3
    double radius
    Sketch.TrimInputOption doTrim
    Sketch.DeleteThirdCurveOption doDelete
    Sketch.CreateDimensionOption createRadiusDim
    Sketch.AlternateSolutionOption alternateSolution
    SketchConstraint[] constraints
    Returns
    Type Description
    Arc[]

    Fillet(Curve, Curve, Point3d, Point3d, Point3d, double, TrimInputOption, CreateDimensionOption, AlternateSolutionOption, out SketchConstraint[])

    Declaration
    public Arc[] Fillet(Curve curve1, Curve curve2, Point3d helpPoint1, Point3d helpPoint2, Point3d pointOnArc, double radius, Sketch.TrimInputOption doTrim, Sketch.CreateDimensionOption createRadiusDim, Sketch.AlternateSolutionOption alternateSolution, out SketchConstraint[] constraints)
    Parameters
    Type Name Description
    Curve curve1
    Curve curve2
    Point3d helpPoint1
    Point3d helpPoint2
    Point3d pointOnArc
    double radius
    Sketch.TrimInputOption doTrim
    Sketch.CreateDimensionOption createRadiusDim
    Sketch.AlternateSolutionOption alternateSolution
    SketchConstraint[] constraints
    Returns
    Type Description
    Arc[]

    Fillet(Curve, Curve, Point3d, Point3d, double, TrimInputOption, CreateDimensionOption, AlternateSolutionOption, out SketchConstraint[])

    Declaration
    public Arc[] Fillet(Curve curve1, Curve curve2, Point3d helpPoint1, Point3d helpPoint2, double radius, Sketch.TrimInputOption doTrim, Sketch.CreateDimensionOption createRadiusDim, Sketch.AlternateSolutionOption alternateSolution, out SketchConstraint[] constraints)
    Parameters
    Type Name Description
    Curve curve1
    Curve curve2
    Point3d helpPoint1
    Point3d helpPoint2
    double radius
    Sketch.TrimInputOption doTrim
    Sketch.CreateDimensionOption createRadiusDim
    Sketch.AlternateSolutionOption alternateSolution
    SketchConstraint[] constraints
    Returns
    Type Description
    Arc[]

    FlipNormal()

    Declaration
    public void FlipNormal()

    FlipReferenceDirection()

    Declaration
    public void FlipReferenceDirection()

    GetAllConstraintsOfType(ConstraintClass, ConstraintType)

    Declaration
    public SketchConstraint[] GetAllConstraintsOfType(Sketch.ConstraintClass conClass, Sketch.ConstraintType conType)
    Parameters
    Type Name Description
    Sketch.ConstraintClass conClass
    Sketch.ConstraintType conType
    Returns
    Type Description
    SketchConstraint[]

    GetAllExpressions()

    Declaration
    public Expression[] GetAllExpressions()
    Returns
    Type Description
    Expression[]

    GetAllGeometry()

    Declaration
    public NXObject[] GetAllGeometry()
    Returns
    Type Description
    NXObject[]

    GetConstraintsForGeometry(SmartObject, ConstraintClass)

    Declaration
    public SketchConstraint[] GetConstraintsForGeometry(SmartObject geometry, Sketch.ConstraintClass conClass)
    Parameters
    Type Name Description
    SmartObject geometry
    Sketch.ConstraintClass conClass
    Returns
    Type Description
    SketchConstraint[]

    GetIgnoredRelationsOfGeometry(ConstraintGeometry)

    Declaration
    public SketchRelation[] GetIgnoredRelationsOfGeometry(Sketch.ConstraintGeometry geometry)
    Parameters
    Type Name Description
    Sketch.ConstraintGeometry geometry
    Returns
    Type Description
    SketchRelation[]

    GetParentOfIncludedGeometry(SmartObject)

    Declaration
    public NXObject GetParentOfIncludedGeometry(SmartObject geometry)
    Parameters
    Type Name Description
    SmartObject geometry
    Returns
    Type Description
    NXObject

    GetReferenceDirection(out IReferenceAxis, out AxisOrientation, out Sense)

    Declaration
    public Vector3d GetReferenceDirection(out IReferenceAxis referenceAxis, out AxisOrientation referenceAxisOrientation, out Sense referenceAxisSense)
    Parameters
    Type Name Description
    IReferenceAxis referenceAxis
    AxisOrientation referenceAxisOrientation
    Sense referenceAxisSense
    Returns
    Type Description
    Vector3d

    GetRemoteFindingCurves()

    Declaration
    public SmartObject[] GetRemoteFindingCurves()
    Returns
    Type Description
    SmartObject[]

    GetStatus(out int)

    Declaration
    public Sketch.Status GetStatus(out int dofNeeded)
    Parameters
    Type Name Description
    int dofNeeded
    Returns
    Type Description
    Sketch.Status

    GetVirtualPoints()

    Declaration
    public SketchVirtualPoint[] GetVirtualPoints()
    Returns
    Type Description
    SketchVirtualPoint[]

    HideDimensions()

    Declaration
    public void HideDimensions()

    HideDimensions(DisplayableObject[])

    Declaration
    public void HideDimensions(DisplayableObject[] inputObjects)
    Parameters
    Type Name Description
    DisplayableObject[] inputObjects

    HideDimensions(ConstraintGeometry[])

    Declaration
    public void HideDimensions(Sketch.ConstraintGeometry[] objects)
    Parameters
    Type Name Description
    ConstraintGeometry[] objects

    IsIncludedGeometry(SmartObject)

    Declaration
    public bool IsIncludedGeometry(SmartObject geometry)
    Parameters
    Type Name Description
    SmartObject geometry
    Returns
    Type Description
    bool

    IsSketchGeometry(SmartObject)

    Declaration
    public bool IsSketchGeometry(SmartObject geometry)
    Parameters
    Type Name Description
    SmartObject geometry
    Returns
    Type Description
    bool

    LocalUpdate()

    Declaration
    public void LocalUpdate()

    MakeDatumsExternal()

    Declaration
    [Obsolete("Deprecated in NX11.0.0.  Please use NXOpen.Sketch.MakeDatumsExternal2 instead.")]
    public void MakeDatumsExternal()

    MakeDatumsExternal2()

    Declaration
    public void MakeDatumsExternal2()

    MakeDatumsInternal()

    Declaration
    [Obsolete("Deprecated in NX11.0.0.  None.")]
    public void MakeDatumsInternal()

    ManageConstraintsAfterEdit(NXObject[], bool)

    Declaration
    public void ManageConstraintsAfterEdit(NXObject[] sketchGeoms, bool preserveComplexConstraints)
    Parameters
    Type Name Description
    NXObject[] sketchGeoms
    bool preserveComplexConstraints

    Reattach(ISurface, IReferenceAxis, Vector3d, AxisOrientation, Sense, PlaneNormalOrientation, Point3d)

    Declaration
    [Obsolete("Deprecated in NX11.0.0.  Use NXOpen.SketchInPlaceBuilder instead.")]
    public void Reattach(ISurface attachmentPlane, IReferenceAxis referenceAxis, Vector3d referenceDirection, AxisOrientation referenceAxisOrientation, Sense referenceAxisSense, PlaneNormalOrientation normalOrientation, Point3d localCoordinateSystemOrigin)
    Parameters
    Type Name Description
    ISurface attachmentPlane
    IReferenceAxis referenceAxis
    Vector3d referenceDirection
    AxisOrientation referenceAxisOrientation
    Sense referenceAxisSense
    PlaneNormalOrientation normalOrientation
    Point3d localCoordinateSystemOrigin

    RemoveRedundantVertices(NXObject[])

    Declaration
    public void RemoveRedundantVertices(NXObject[] geoms)
    Parameters
    Type Name Description
    NXObject[] geoms

    RunAutoDimension()

    Declaration
    public void RunAutoDimension()

    Scale(double)

    Declaration
    public void Scale(double scaleFactor)
    Parameters
    Type Name Description
    double scaleFactor

    SetReferenceDirection(IReferenceAxis, Vector3d, AxisOrientation, Sense)

    Declaration
    public void SetReferenceDirection(IReferenceAxis referenceAxis, Vector3d referenceDirection, AxisOrientation referenceAxisOrientation, Sense referenceAxisSense)
    Parameters
    Type Name Description
    IReferenceAxis referenceAxis
    Vector3d referenceDirection
    AxisOrientation referenceAxisOrientation
    Sense referenceAxisSense

    SetRotationOrigin(Point3d)

    Declaration
    public void SetRotationOrigin(Point3d center)
    Parameters
    Type Name Description
    Point3d center

    SetTextHeight(double)

    Declaration
    public void SetTextHeight(double textHeight)
    Parameters
    Type Name Description
    double textHeight

    ShowDimensions()

    Declaration
    public void ShowDimensions()

    ShowDimensions(DisplayableObject[])

    Declaration
    public void ShowDimensions(DisplayableObject[] inputObjects)
    Parameters
    Type Name Description
    DisplayableObject[] inputObjects

    ShowDimensions(ConstraintGeometry[])

    Declaration
    public void ShowDimensions(Sketch.ConstraintGeometry[] objects)
    Parameters
    Type Name Description
    ConstraintGeometry[] objects

    Update()

    Declaration
    public void Update()

    Update(NXObject[])

    Declaration
    public void Update(NXObject[] geoms)
    Parameters
    Type Name Description
    NXObject[] geoms

    UpdateConstraintDisplay()

    Declaration
    public void UpdateConstraintDisplay()

    UpdateConstraintDisplay(SmartObject[])

    Declaration
    public void UpdateConstraintDisplay(SmartObject[] geoms)
    Parameters
    Type Name Description
    SmartObject[] geoms

    UpdateDimensionDisplay()

    Declaration
    public void UpdateDimensionDisplay()

    UpdateDimensionDisplay(NXObject[])

    Declaration
    public void UpdateDimensionDisplay(NXObject[] dims)
    Parameters
    Type Name Description
    NXObject[] dims

    UpdateDimensionDisplay(SmartObject[])

    Declaration
    public void UpdateDimensionDisplay(SmartObject[] geoms)
    Parameters
    Type Name Description
    SmartObject[] geoms

    UpdateGeometryDisplay()

    Declaration
    public void UpdateGeometryDisplay()

    UpdateGeometryDisplay(SmartObject[])

    Declaration
    public void UpdateGeometryDisplay(SmartObject[] geoms)
    Parameters
    Type Name Description
    SmartObject[] geoms

    Implements

    System.Runtime.Remoting.Messaging.IMessageSink
    IFitTo
    IProfile
    INXObject
    In this article
    Back to top Generated by DocFX